Bug 1202812 (CVE-2022-2990)

Summary: VUL-0: CVE-2022-2990: buildah: possible information disclosure and modification
Product: [Novell Products] SUSE Security Incidents Reporter: Thomas Leroy <thomas.leroy>
Component: IncidentsAssignee: Containers Team <containers-bugowner>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: meissner, security-team, stoyan.manolov
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/340673/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-2990:4.4:(AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Thomas Leroy 2022-08-26 11:18:30 UTC
rh#2121453

An incorrect handling of the supplementary groups in the Buildah container engine might lead to the sensitive information disclosure or possible data modification if an attacker has direct access to the affected container where supplementary groups are used to set access permissions and is able to execute a binary code in that container.

Upstream PR:
https://github.com/containers/buildah/pull/4200

Reference:
https://www.benthamsgaze.org/2022/08/22/vulnerability-in-linux-containers-investigation-and-mitigation/
https://bugzilla.redhat.com/show_bug.cgi?id=2121453
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-2990
Comment 1 Thomas Leroy 2022-08-26 11:42:46 UTC
Affected codestreams:
- SUSE:SLE-15-SP1:Update
- SUSE:SLE-15-SP3:Update
- SUSE:SLE-15-SP4:Update
- openSUSE:Factory
Comment 3 Swamp Workflow Management 2022-10-19 16:26:04 UTC
SUSE-SU-2022:3655-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1167864,1181961,1202812
CVE References: CVE-2020-10696,CVE-2021-20206,CVE-2022-2990
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    buildah-1.27.1-150400.3.8.1
SUSE Linux Enterprise Module for Containers 15-SP4 (src):    buildah-1.27.1-150400.3.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2022-10-26 13:47:27 UTC
SUSE-SU-2022:3766-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1167864,1181961,1202812
CVE References: CVE-2020-10696,CVE-2021-20206,CVE-2022-2990
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    libgpg-error-1.42-150300.9.3.1
openSUSE Leap 15.3 (src):    buildah-1.27.1-150300.8.11.1, libgpg-error-1.42-150300.9.3.1
SUSE Linux Enterprise Module for Containers 15-SP3 (src):    buildah-1.27.1-150300.8.11.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libgpg-error-1.42-150300.9.3.1
SUSE Linux Enterprise Micro 5.2 (src):    libgpg-error-1.42-150300.9.3.1
SUSE Linux Enterprise Micro 5.1 (src):    libgpg-error-1.42-150300.9.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-12-07 20:19:58 UTC
SUSE-SU-2022:4349-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1167864,1202812
CVE References: CVE-2020-10696,CVE-2022-2990
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    buildah-1.28.2-150400.3.11.1
SUSE Linux Enterprise Module for Containers 15-SP4 (src):    buildah-1.28.2-150400.3.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-12-07 20:20:45 UTC
SUSE-SU-2022:4350-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1167864,1202812
CVE References: CVE-2020-10696,CVE-2022-2990
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    buildah-1.28.2-150300.8.14.1
SUSE Linux Enterprise Module for Containers 15-SP3 (src):    buildah-1.28.2-150300.8.14.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.